using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 值班人员
    /// </summary>
    [Description("值班人员")]
    public class T_TL_BACK_DETAIL_USER : MesEntityBase
    {
        /// <summary>
        /// 回采计划
        /// </summary>
        [Description("回采计划")]
        [DataFieldForeignKey("Nav_Back")]
        public Guid BACK_ID { get; set; }

        /// <summary>
        /// 回采计划
        /// </summary>
        [Description("回采计划")]
        [FormFieldEdit]
        public T_TL_BACK Nav_Back { get; set; }

        /// <summary>
        /// 回采计划明细
        /// </summary>
        [Description("回采计划明细")]
        [DataFieldForeignKey("Nav_BackDetail", "Nav_ListDetailUser")]
        public Guid BACK_DETAIL_ID { get; set; }

        /// <summary>
        /// 回采计划明细
        /// </summary>
        [Description("回采计划明细")]
        [FormFieldEdit]
        public T_TL_BACK_DETAIL Nav_BackDetail { get; set; }

        /// <summary>
        /// 值班人员
        /// </summary>
        [Description("值班人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 值班人员
        /// </summary>
        [Description("值班人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否登记人
        /// </summary>
        [Description("是否登记人")]
        public bool ISMAINCHECK { get; set; } = false;


        /// <summary>
        /// 是否确认
        /// </summary>
        [Description("是否确认")]
        public bool ISCHECK { get; set; } = false;

    }
}